import { PostReturnType, ConfigOverrideType } from '../types/Hook.types';
/**
 * Hook to execute a put request, it uses as base the usePost hook
 * @param path
 * @param config
 */
declare const usePut: <T extends object, R extends Object>(path: string, config?: ConfigOverrideType | undefined) => PostReturnType<T, R>;
export default usePut;
